PHP Manual
Prev |  | Next

# pi

(PHP 3, PHP 4, PHP 5)

pi -- Get value of pi

## Description

float pi ( void )

Returns an approximation of pi. The returned float has a precision based on the precision directive in `php.ini`, which defaults to `14`. Also, you can use the `M_PI` constant which yields identical results to pi().

## Return Values

The value of pi as float.

## Examples

Example 1. pi() example

`<?php echo pi(); // 3.1415926535898 echo M_PI; // 3.1415926535898 ?>`

Prev | Home | Next
octdec | Up | pow